Subject: bug#44784: Combining accent is not combining

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Feb 2022 10:40:55 +0200

>> Yes, it displays correctly with other fonts, e.g. Noto Sans.
>> It would be a pity to switch to another font.  So this bug report
>> could be closed if nothing can be done in Emacs.
>
> Skimming this bug report, it's not clear whether this was a problem with
> the fonts or in Emacs.  If I do emacs -Q -fn "Noto Sans" with the
> current trunk, I get:
>
> So the combining accent ̷ is combining with the o correctly here.
>
> So is there anything more to be done here?

I confirm that "DejaVu Sans Mono" is still broken:

whereas other fonts can correctly handle combining characters:

Please close this bug report if it's not possible
to implement some workaround for broken fonts.